#include <Pacpus/kernel/ComponentBase.h>
#include <Pacpus/kernel/InputOutputInterface.h>
#include <Pacpus/kernel/Log.h>

using namespace pacpus;

DECLARE_STATIC_LOGGER("pacpus.core.InputOutputInterface");

QString AbstractInterface::getSignature()
{
    return component()->getName() + '.' + name();
}
